/*
 * @author Ranides Atterwim <ranides@gmail.com>
 * @copyright Ranides Atterwim
 * @license WTFPL
 * @url http://ranides.net/projects/assira
 */
package net.ranides.assira.io;

import java.io.IOException;

/**
 *
 * @author Ranides Atterwim <ranides@gmail.com>
 */
public interface ByteWriter {
 
    void writeByte(byte value) throws IOException;
    
    void writeBytes(byte[] value) throws IOException;
    
    void writeBytes(byte[] value, int offset, int length) throws IOException;
}
